%% Save variables after simulation

function saveSelected(out,filename,Sb)
    bus = out.get('bus').signals.values;
    genset = out.get('genset').signals.values;
    w = genset(:,2:4:12);
    power = out.get('power').signals.values;
    repower = out.get('repower').signals.values;
    tout = out.get('u').time;
    u = out.get('u').signals.values;
    vf = out.get('vf').signals.values;
    w0 = out.get('w0');
    xTurbo = out.get('xTurbo').signals.values;
    AF = xTurbo(:,1:2:6);
    uOfMean = u./(mean(u,2)*[1 1 1]);
    
    save(sprintf('case/%sSel.mat',filename),'w','AF','bus','genset','power','repower','tout','u','vf','w0','xTurbo','uOfMean');
end
