%% Calculate constraint for simulation of failure case:
% Only the constraint for increase of fuel rate with respect to the current
% fuel rate is calculated here. Other constraints are calculated in
% findConstaints:
function [G g_L g_U] = findExtraConstraints(psi,phi,umin,umax,wmin,wmax,n,m,Nz,z0,udmax,udmaxnow)
%% G [z[k];zw[k+2]] < g_L
% z[k] eps[k] zw[k+2] epsw[k+2]
G = [zeros(n,1) -eye(n,n) zeros(n,2) eye(n,n) zeros(n,1)];

g_U = 2*udmax+udmaxnow;

g_L = -inf *ones(n,1);
end